--- Makefile.in.orig	2007-12-16 22:32:06.000000000 +0900
+++ Makefile.in	2007-12-16 23:15:45.000000000 +0900
@@ -357,11 +357,11 @@
 
 prefix = @prefix@
 exec_prefix = @exec_prefix@
-bindir = @bindir@
-datadir = @datadir@
-libdir = @libdir@
-mandir = @mandir@
-includedir = $(TCL_HEADER_DIR)
+bindir = $(DESTDIR)/@bindir@
+datadir = $(DESTDIR)/@datadir@
+libdir = $(DESTDIR)/@libdir@
+mandir = $(DESTDIR)/@mandir@
+includedir = $(DESTDIR)/$(TCL_HEADER_DIR)
 PACKAGE_LIBRARY_DIR = $(libdir)/$(PACKAGE)$(VERSION)
 SHLIB_DIR = @SHLIB_DIR@
 SHLIB_DIR_BASE = @SHLIB_DIR_BASE@
@@ -374,7 +374,7 @@
 
 install-doc:
 	cd $(TEX_DIR); $(MAKE) all; $(CP) *.pdf $(PACKAGE_LIBRARY_DIR)
-	chmod +x $(PACKAGE_LIBRARY_DIR)/*.pdf
+	chmod 644 $(PACKAGE_LIBRARY_DIR)/*.pdf
 
 # C header files
 install-headers: \
